> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withverifa.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withverifa.com/_mcp/server.

# List webhook deliveries

GET https://api.withverifa.com/api/v1/webhooks/endpoints/{endpoint_id}/deliveries

Returns recent delivery attempts for a specific webhook endpoint,
ordered by most recent first.


Reference: https://docs.withverifa.com/api-reference/webhooks/list-webhook-deliveries

## Authentication

- `X-API-Key` header (required) — Organization API key. Keys are prefixed with `vk_live_` (production) or `vk_sandbox_` (sandbox).

## Request

### Path parameters

- `endpoint_id` (string, required)

### Query parameters

- `date_from` (datetime, optional) — Only deliveries after this ISO 8601 timestamp.
- `date_to` (datetime, optional) — Only deliveries before this ISO 8601 timestamp.
- `event_type` (string, optional) — Filter by event type (e.g. `session.approved`).
- `limit` (integer, optional, default: 50)
- `offset` (integer, optional, default: 0)

### Headers

- `Verifa-Version` (date, optional) — API version date string (e.g. `2026-02-01`). If omitted, the version pinned to your API key is used.

## Response

### 200

Paginated list of deliveries.

- `data` (list of WebhookDelivery, required)
- `pagination` (ApiV1WebhooksEndpointsEndpointIdDeliveriesGetResponsesContentApplicationJsonSchemaPagination, required)

## Errors

### 401 Unauthorized Error

Missing or invalid API key.

- `error` (string, required) — Short error code.
- `status_code` (integer, required) — HTTP status code.
- `detail` (string, optional) — Human-readable error description.

### 404 Not Found Error

Resource not found.

- `error` (string, required) — Short error code.
- `status_code` (integer, required) — HTTP status code.
- `detail` (string, optional) — Human-readable error description.

## Types

### WebhookDelivery

- `id` (string, required)
- `event` (string, required) — The event type that triggered this delivery.
- `url` (string, required)
- `status` (enum, required)
  - Allowed values: `pending`, `delivered`, `failed`
- `attempts` (integer, required)
- `max_attempts` (integer, required)
- `created_at` (datetime, required)
- `http_status` (integer, optional, nullable) — HTTP response status from the endpoint.
- `last_error` (string, optional, nullable)

### ApiV1WebhooksEndpointsEndpointIdDeliveriesGetResponsesContentApplicationJsonSchemaPagination

- `total` (integer, required) — Total number of matching items.
- `limit` (integer, required)
- `offset` (integer, required)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "whd_abc123",
      "event": "session.approved",
      "url": "string",
      "status": "pending",
      "attempts": 1,
      "max_attempts": 1,
      "created_at": "2024-01-15T09:30:00Z",
      "http_status": 1,
      "last_error": "string"
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 1,
    "offset": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.withverifa.com/api/v1/webhooks/endpoints/endpoint_id/deliveries"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.withverifa.com/api/v1/webhooks/endpoints/endpoint_id/deliveries';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withverifa.com/api/v1/webhooks/endpoints/endpoint_id/deliveries"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withverifa.com/api/v1/webhooks/endpoints/endpoint_id/deliveries")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withverifa.com/api/v1/webhooks/endpoints/endpoint_id/deliveries")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withverifa.com/api/v1/webhooks/endpoints/endpoint_id/deliveries', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.withverifa.com/api/v1/webhooks/endpoints/endpoint_id/deliveries");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withverifa.com/api/v1/webhooks/endpoints/endpoint_id/deliveries")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```